org.apache.jmeter.report.dashboard

## Class JsonizerVisitor

- java.lang.Object
- - org.apache.jmeter.report.dashboard.JsonizerVisitor

All Implemented Interfaces:
  ResultDataVisitor<String>

    public class JsonizerVisitor
    extends Object
    implements ResultDataVisitor<String>

The class JsonizerVisitor provides a visitor that can get json-like string from ResultData.

Since:
  3.0

### Constructor Summary

Constructors
Constructor and Description
`JsonizerVisitor()` Instantiates a new jsonizer visitor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `visitListResult(ListResultData listResult)` Visits the specified list result.
`String` `visitMapResult(MapResultData mapResult)` Visits the specified map result.
`String` `visitValueResult(ValueResultData valueResult)` Visits the specified value result.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonizerVisitor

    public JsonizerVisitor()

Instantiates a new jsonizer visitor.

### Method Detail

#### visitListResult

    public String visitListResult(ListResultData listResult)

Description copied from interface: `ResultDataVisitor`
Visits the specified list result.

Specified by:
  `visitListResult` in interface `ResultDataVisitor<String>`
Parameters:
  `listResult` - the list result
Returns:
  the result of the visit

#### visitMapResult

    public String visitMapResult(MapResultData mapResult)

Description copied from interface: `ResultDataVisitor`
Visits the specified map result.

Specified by:
  `visitMapResult` in interface `ResultDataVisitor<String>`
Parameters:
  `mapResult` - the map result
Returns:
  the result of the visit

#### visitValueResult

    public String visitValueResult(ValueResultData valueResult)

Description copied from interface: `ResultDataVisitor`
Visits the specified value result.

Specified by:
  `visitValueResult` in interface `ResultDataVisitor<String>`
Parameters:
  `valueResult` - the value result
Returns:
  the result of the visit